<?php

namespace comment\asset\comment;

use comment\asset\language\home;
use phpvod\asset\jquery\jquery;

class comment extends \venus\asset\asset
{
	protected string $source_path = __DIR__ . DIRECTORY_SEPARATOR . 'src';
	protected string $asset_dirname = 'comment';
	protected array $css = [
		'css/comment.css'
	];
	protected array $js = [
		'js/datetime.js',
		'js/comment.js',
	];

	protected array $depends = [
		jquery::class,
		home::class
	];
}