<?php

namespace comment\asset\emoji;

use phpvod\asset\jquery\jquery;
use phpvod\asset\perfect_scrollbar\perfect_scrollbar;

class emoji extends \venus\asset\asset
{
	protected string $source_path = __DIR__ . DIRECTORY_SEPARATOR . 'src';
	protected string $asset_dirname = 'emoji';
	protected array $css = [
		'css/jquery.emoji.css',
	];
	protected array $js = [
		'js/icons.js',
		'js/jquery.emoji.js',
	];
	protected array $depends = [
		jquery::class,
		perfect_scrollbar::class
	];
}