<?php

namespace comment\asset\language;

use venus\view\event;

class home extends \venus\asset\asset
{
	protected string $source_path;
	protected string $asset_dirname;
	protected array $js = [
		'home.js',
	];
	protected array $js_options = [
		'event' => event::EVENT_VIEW_HEAD
	];

	protected function init(): void
	{
		$language = \phpvod::$app->language->get_language();
		$module_directory = \phpvod::$app->module->get_module('comment', 'directory');
		$this->source_path = MODULE_PATH . $module_directory . '/language/' . $language . '/js';
		$this->asset_dirname = 'comment_' . $language;
		parent::init();
	}
}