<?php

namespace comment\config;

use venus\router\routes;

$module = \phpvod::$app->module->get_module(__NAMESPACE__);
$routes = \phpvod::$app->router->get_config();

//backend routes
$routes->group(\phpvod::$backend_segment . '/' . $module['segment'], ['namespace' => 'comment\\controller\\admin', 'priority' => routes::MIDDLE_PRIORITY], function (routes $routes) {
	$routes->add('(:segment)', '$1');
	$routes->add('(:segment)/(:segment)', '$1::$2');
	$routes->add('(:segment)/(:segment)/(:any)', '$1::$2/$3');
});

//frontend routes
if ($module['status'] == 1) {
	$routes->group($module['segment'], ['namespace' => 'comment\\controller', 'priority' => routes::MIDDLE_PRIORITY], function (routes $routes) {
		$routes->post('/add', 'home::add');
		$routes->post('/like', 'home::like');
		$routes->get('/get_resource_comment', 'home::get_resource_comment');
		$routes->get('/get_child_comment', 'home::get_child_comment');
	});
}