<?php

namespace comment\config\validation;

use venus\validation\validator\general;

class like implements \venus\validation\config
{
	private array $validator_class = [
		general::class
	];

	public function get_validator_class(): array
	{
		return $this->validator_class;
	}

	public function get_rules(?string $scene): array
	{
		return [
			'cid' => [
				'rules' => 'positive_integer',
			],
			'value' => [
				'rules' => 'in_list[1,2]',
			],
		];
	}
}