<?php

namespace phpvod\asset\admin;

use phpvod\asset\bootstrap\bootstrap;
use phpvod\asset\jquery\jquery;
use phpvod\asset\layer\layer;
use phpvod\asset\materialdesignicons\materialdesignicons;
use phpvod\asset\toastr\toastr;

class main extends \venus\asset\asset
{
	protected string $source_path = __DIR__ . DIRECTORY_SEPARATOR . 'main';
	protected string $asset_dirname = 'admin_main';
	protected array $js = [
		'js/main.js'
	];
	protected array $css = [
		'css/main.css'
	];
	protected array $depends = [
		jquery::class,
		bootstrap::class,
		toastr::class,
		layer::class,
		materialdesignicons::class
	];
}