<?php

namespace phpvod\asset\bootstrap_table;

use phpvod\asset\bootstrap\bootstrap;
use phpvod\asset\jquery\jquery;

class bootstrap_table extends \venus\asset\asset
{
	protected string $source_path = __DIR__ . DIRECTORY_SEPARATOR . 'src';
	protected string $asset_dirname = 'bootstrap_table';
	protected array $lang_format = ['{lang}-{TAG}'];
	protected array $js = [
		'bootstrap-table.min.js',
		'locale/bootstrap-table-{language}.js',
		'options.js'
	];
	protected array $css = [
		'bootstrap-table.min.css'
	];
	protected array $depends = [
		jquery::class,
		bootstrap::class
	];
}