<?php

namespace phpvod\asset\daterangepicker;

use phpvod\asset\bootstrap\bootstrap;
use phpvod\asset\jquery\jquery;

class daterangepicker extends \venus\asset\asset
{
	protected string $source_path = __DIR__ . DIRECTORY_SEPARATOR . 'src';
	protected string $asset_dirname = 'daterangepicker';

	protected array $js = [
		'moment/moment-with-locales.js',
		'daterangepicker.js'
	];
	protected array $css = [
		'daterangepicker.css'
	];
	protected array $depends = [
		jquery::class,
		bootstrap::class
	];
}