<?php

namespace config;

use venus\application\config;

class application extends config
{
	public array $class_map = [
	];

	public string $main_module = '';

	public string $env = 'prod';

	public string $timezone = 'Asia/Shanghai';

	/**
	 * @throws \Exception
	 */
	public function __construct()
	{
		parent::__construct();
		$this->init_attributes_from_file(WRITABLE_PATH . 'cache/config/config_site.php', null, [
			'main_module' => 'site_main_module', 'env' => 'site_env', 'timezone' => 'site_datetime_zone'
		]);
	}
}