<?php

namespace config\validation\admin;

use config\validation\bootstrap_table_validator;

class bootstrap_table implements \venus\validation\config
{
	private array $validator_class = [
		bootstrap_table_validator::class
	];

	public function get_validator_class(): array
	{
		return $this->validator_class;
	}

	public function get_rules(?string $scene): array
	{
		return $this->get_query_params_rules();
	}

	/**
	 * 查询参数验证规则
	 * @return array[]
	 */
	private function get_query_params_rules(): array
	{
		return [
			'sort' => [
				'rules' => 'sort',
			],
			'order' => [
				'rules' => 'order',
			],
			'offset' => [
				'rules' => 'offset',
			],
			'limit' => [
				'rules' => 'limit',
			]
		];
	}
}