<?php

namespace config\validation\home;

use phpvod\library\config\config;
use venus\validation\validator\general;

class buy_member_group implements \venus\validation\config
{
	private array $validator_class = [
		self::class
	];

	public function get_validator_class(): array
	{
		return $this->validator_class;
	}

	public function get_rules(?string $scene): array
	{
		return [
			'index' => [
				'rules' => 'index',
				'errors' => [
					'index' => lang('app.invalid_params')
				]
			]
		];
	}

	public function index($value, $data): bool
	{
		$member_group = config::get_instance()->get('member_group');
		return isset($data['id'], $member_group[$data['id']]['sale']['price'][$value]);
	}
}
