<?php
return [
	//WORD
	'account' => '账号',
	'username' => '用户名',
	'password' => '密码',
	'email' => '邮箱',
	'captcha' => '验证码',
	'login' => '登录',
	'logout' => '退出登录',
	'register' => '注册',
	'open' => '开启',
	'close' => '关闭',
	'save' => '保存',
	'submit' => '提交',
	'edit' => '编辑',
	'add' => '新增',
	'delete' => '删除',
	'search' => '搜索',
	'upload' => '上传',
	'operation' => '操作',
	'message' => '信息',
	'check_all' => '全选',
	'yes' => '是',
	'no' => '否',
	'ok' => '确定',
	'cancel' => '取消',
	'checked' => '已审核',
	'unchecked' => '待审核',
	'default' => '默认',
	'unlimited' => '无限制',
	'none' => '无',
	'server' => '服务器',
	'sending' => '正在发送',
	'home' => '首页',
	'cny' => '元',
	'url' => '网址',
	'guest' => '游客',
	'more' => '更多',
	'language' => '语言',
	'label' => '标签',
	'price' => '价格',
	'duration' => '时长',
	'loading' => '数据载入中...',
	'income' => '收入',
	'expenditure' => '支出',
	'module' => '模块',
	'phone' => '手机号',
	'wechat' => '微信',
	'qq' => 'QQ',

	//TEXT
	'seconds_ago' => '{0}秒前',
	'minutes_ago' => '{0}分钟前',
	'hours_ago' => '{0}小时前',

	//TIPS
	'username_cannot_be_empty' => '用户名不能为空',
	'username_already_exists' => '用户名已存在',
	'password_cannot_be_empty' => '密码不能为空',
	'repeat_password_cannot_be_empty' => '密码重复不能为空',
	'repeat_password_not_match' => '两次输入的密码不一致',
	'captcha_cannot_be_empty' => '验证码不能为空',
	'email_cannot_be_empty' => '邮箱不能为空',
	'invalid_email' => '无效的邮箱地址',
	'email_already_exists' => '邮箱已存在',
	'invalid_phone' => '无效的手机号',
	'captcha_error' => '验证码错误',
	'send_code' => '发送验证码',
	'email_code' => '邮箱验证码',
	'email_code_cannot_be_empty' => '邮箱验证码不能为空',
	'email_code_error' => '邮箱验证码错误',
	'please_try_again_later' => '请稍候重试',
	'mail_sent_successfully' => '邮件发送成功',
	'mail_sent_failed' => '邮件发送失败',
	'click_refresh' => '点击刷新',
	'invalid_username_or_password' => '用户名或密码错误',
	'invalid_password' => '密码错误',
	'operation_succeeded' => '操作成功',
	'operation_failed' => '操作失败',
	'invalid_id' => '无效的ID',
	'invalid_params' => '无效的参数',
	'invalid_param' => '无效的参数({0})',
	'permission_denied' => '没有权限执行该操作',
	'unknown_error' => '未知错误，请查看日志文件以获取更多信息',
	'no_object_is_selected' => '请选择需要操作的对象',
	'confirm_deletion' => '确定要删除吗？',
	'file_upload_failed' => '文件上传失败',
	'invalid_file_type' => '无效的文件类型',
	'file_size_error' => '文件尺寸超出限制',
	'please_login_first' => '请先登录',
	'no_record' => '无记录',
	'insufficient_balance' => '余额不足',
	'purchase_succeeds' => '购买成功',
	'http_error' => 'HTTP错误({0})',
];

