<?php
namespace phpvod\library;

class aes
{
	/**
	 * 加密
	 * @param string $str 要加密的数据
	 * @return false|string 加密后的数据
	 */
	public static function encrypt(string $str, string $key): false|string
	{
		$data = openssl_encrypt($str, 'AES-128-ECB', $key, OPENSSL_RAW_DATA);
		return is_string($data) ? base64_encode($data) : false;
	}

	/**
	 * 解密
	 * @param string $str 要解密的数据
	 * @return false|string 解密后的数据
	 */
	public static function decrypt(string $str, string $key): false|string
	{
		return openssl_decrypt(base64_decode($str), 'AES-128-ECB', $key, OPENSSL_RAW_DATA);
	}
}