<?php
/**
 * @var \venus\view\view $this
 */
$this->extend('admin/layout');
?>
<?php $this->section('content'); ?>

	<div class="card">
		<div class="card-header"><?= lang('admin.add_module') ?></div>
		<div class="card-body">
			<?= form_open_multipart(admin_uri('module/add')) ?>
			<div class="row mb-4">
				<label class="col-md-2 col-form-label text-md-end" for="zip-file"><?= lang('admin.module_zip_file') ?></label>
				<div class="col-md-6">
					<input type="file" class="form-control" id="zip-file" name="zip_file">
				</div>
			</div>
			<div class="row">
				<div class="col-md-6 offset-md-2">
					<button class="btn btn-primary" type="submit"><?= lang('app.upload') ?></button>
				</div>
			</div>
			<?= form_close() ?>
		</div>
		<div class="card-footer">
			<div class="f-tar"><?= phpvod::copyright() ?></div>
		</div>
	</div>

<?php $this->end_section(); ?>