<?php

namespace phpvod\view\home;

use phpvod\asset\bootstrap\bootstrap;
use phpvod\asset\jquery\jquery;
use phpvod\asset\layer\layer;
use phpvod\asset\materialdesignicons\materialdesignicons;
use phpvod\asset\toastr\toastr;

class asset extends \venus\asset\asset
{
	protected string $source_path = __DIR__ . DIRECTORY_SEPARATOR . 'asset';

	protected array $js = [
		'js/home.js'
	];

	protected array $css = [
		'css/style.css'
	];

	protected array $depends = [
		bootstrap::class,
		jquery::class,
		layer::class,
		toastr::class,
		materialdesignicons::class
	];
}