<?php
namespace phpvod\view\install;

use phpvod\asset\jquery\jquery;
use phpvod\asset\layer\layer;
use phpvod\asset\toastr\toastr;

class asset extends \venus\asset\asset
{
	protected string $source_path = __DIR__ . DIRECTORY_SEPARATOR . 'asset';
	protected string $asset_dirname = 'install';
	protected array $css = [
		'css/install.css'
	];

	protected array $depends = [
		jquery::class,
		layer::class,
		toastr::class,
	];
}