<?php
\phpvod\view\install\jquery_validation::register();
/**
 * @var \venus\view\view $this
 */
$this->extend('install/layout');
?>

<?php $this->section('content'); ?>
<form id="form" method="post" action='/install/set-admin'>
	<div class="step-title f-mt20">管理员资料</div>
	<table class="table-border f-w98 f-m0a">
		<tr>
			<td class="f-w40">用户名</td>
			<td><input type="text" name="username" value="<?= old('username', '') ?>"></td>
		</tr>
		<tr>
			<td>密码</td>
			<td><input type="text" name="password" value="<?= old('password', '') ?>"></td>
		</tr>
		<tr>
			<td>邮箱</td>
			<td><input type="text" name="email" value="<?= old('email', '') ?>"></td>
		</tr>
	</table>

	<div class="f-tac f-mt20"><input type="submit" value="下一步"></div>
</form>
<?php $this->end_section(); ?>

<?php $this->section('js'); ?>
<script type="text/javascript">
	$("#form").validate({
		rules: {
			username: "required",
			password: {
				required: true,
				minlength: 6
			},
			email: {
				required: true,
				email: true
			}
		},
		messages: {
			username: "管理员用户名不能为空",
			password: {
				required: "管理员密码不能为空",
				minlength: "管理员密码不能少于6个字符"
			},
			email: {
				required: "管理员邮箱不能为空",
				email: "无效的邮箱地址"
			}
		},
		errorPlacement: function (error, element) {
			error.appendTo(element.parent());
		},
		onkeyup: false
	});
</script>
<?php $this->end_section(); ?>