<?php
\phpvod\view\install\asset::register();
/**
 * @var \venus\view\view $this
 */
?>
<!DOCTYPE html>
<html lang="zh-CN">
<head>
	<base href="/">
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0, minimal-ui">
	<title>PHPVOD <?= phpvod::VERSION ?> 安装向导</title>
	<?php phpvod::$app->event->trigger(\venus\view\event::EVENT_VIEW_HEAD); ?>
</head>
<body>
<?php phpvod::$app->event->trigger(\venus\view\event::EVENT_VIEW_BEGIN_BODY); ?>

<div class="container">
	<div class="header">PHPVOD <?= phpvod::VERSION ?> 安装向导</div>
	<!-- content section -->
	<?php $this->render_section('content'); ?>
	<div class="footer"><?= phpvod::copyright() ?></div>
</div>

<?php phpvod::$app->event->trigger(\venus\view\event::EVENT_VIEW_IMPORT_JS); ?>
<?php
echo \phpvod\widget\toastr::show();
$this->render_section('js');
?>
<?php phpvod::$app->event->trigger(\venus\view\event::EVENT_VIEW_END_BODY); ?>
</body>
</html>
