<?php

namespace venus\autoloader;

class config
{
	public array $psr4 = [];

	public array $class_map = [];

	public array $files = [];

	protected array $core_psr4 = [
		'venus' => SYSTEM_PATH,
		'config' => CONFIG_PATH,
	];

	protected array $core_class_map = [
		\venus::class => SYSTEM_PATH . 'venus.php',
	];

	protected array $core_files = [
		SYSTEM_PATH . 'library/kint/kint.phar'
	];

	/**
	 * config constructor.
	 */
	public function __construct()
	{
		$this->psr4 = array_merge($this->core_psr4, $this->psr4);
		$this->class_map = array_merge($this->core_class_map, $this->class_map);
		$this->files = array_merge($this->core_files, $this->files);
	}
}