<?php

namespace venus\module;

interface action
{
	public const INSTALL_FILE = 'install.php';
	public const UNINSTALL_FILE = 'uninstall.php';

	/**
	 * 安装模块
	 * @param string $zip_file
	 * @return void
	 */
	public function install(string $zip_file): void;

	/**
	 * 卸载模块
	 * @param string $namespace
	 * @return void
	 */
	public function uninstall(string $namespace): void;

}