<?php
return [
	'video_module' => [
		'video_management' => [
			'show' => 'video$video::index,video$video::get_data,video$video::add/GET,video$video::edit/GET,video$video::get_field_input,video$video::get_uploaded_info,video$video::add_trans_task',
			'add' => 'video$video::add/POST',
			'edit' => 'video$video::edit/POST',
			'delete' => 'video$video::delete',
			'change_status' => 'video$video::change_status',
			'change_recommend' => 'video$video::change_recommend',
			'upload2server' => 'video$upload2server::receive',
			'delete_file' => 'video$video::delete_file',
			'collect' => 'video$video::collect',
		],
		'category_management' => [
			'show' => 'video$category::index,video$category::get_data,video$category::add/GET,video$category::edit/GET',
			'add' => 'video$category::add/POST',
			'edit' => 'video$category::edit/POST',
			'delete' => 'video$category::delete',
		],
		'custom_field' => [
			'show' => 'video$field::index,video$field::get_data,video$field::add/GET,video$field::edit/GET,video$field::check_item_status',
			'add' => 'video$field::add/POST',
			'edit' => 'video$field::edit/POST',
			'delete' => 'video$field::delete',
		],
		'video_player' => [
			'show' => 'video$player::index,video$player::get_data,video$player::add/GET',
			'add' => 'video$player::add/POST',
			'delete' => 'video$player::delete',
			'change_status' => 'video$player::change_status',
		],
		'slide_management' => [
			'show' => 'video$slide::index,video$slide::get_data,video$slide::add/GET,video$slide::edit/GET',
			'add' => 'video$slide::add/POST',
			'edit' => 'video$slide::edit/POST',
			'delete' => 'video$slide::delete',
		],
		'config' => [
			'show' => 'video$config::index/GET,video$config::config/GET,video$config::image/GET,video$config::upload/GET,video$config::cache/GET',
			'modify' => 'video$config::config/POST,video$config::image/POST,video$config::upload/POST,video$config::cache/POST',
		],
	],
	'mars_transcoder' => [
		'mars_server' => [
			'show' => 'video$mars_server::index,video$mars_server::get_data,video$mars_server::add/GET,video$mars_server::edit/GET,video$mars_server::verify_upload_url',
			'add' => 'video$mars_server::add/POST',
			'edit' => 'video$mars_server::edit/POST',
			'delete' => 'video$mars_server::delete',
			'test_conn' => 'video$mars_server::test_conn',
		],
		'mars_map' => [
			'show' => 'video$mars_map::index,video$mars_map::get_data,video$mars_map::add/GET,video$mars_map::edit/GET',
			'add' => 'video$mars_map::add/POST',
			'edit' => 'video$mars_map::edit/POST',
			'delete' => 'video$mars_map::delete',
		],
		'mars_tag' => [
			'show' => 'video$mars_tag::index/GET',
			'modify' => 'video$mars_tag::index/POST',
		]
	]
];