<?php

namespace video\extension\player;

abstract class player
{
	protected string|array $url;
	protected ?string $poster = null;

	public function get_url(): string|array
	{
		return $this->url;
	}

	public function set_url(string|array $url): static
	{
		$this->url = $url;
		return $this;
	}

	public function get_poster(): ?string
	{
		return $this->poster;
	}

	public function set_poster(?string $poster): static
	{
		$this->poster = $poster;
		return $this;
	}

	abstract public function show(): void;
}