<?php

namespace video\extension\player\videojs\asset;

class videojs extends \venus\asset\asset
{
	protected string $source_path = __DIR__ . DIRECTORY_SEPARATOR . 'src';
	protected string $asset_dirname = 'videojs';
	protected array $lang_format = ['{lang}', '{lang}-{TAG}'];
	protected array $js = [
		'video.min.js',
		'lang/{language}.js',
		'videojs-sprite-thumbnails/videojs-sprite-thumbnails.min.js',
	];
	protected array $css = [
		'video-js.min.css',
	];
}