<?php
$db = phpvod::$app->database;

//导入菜单项
$db->update("INSERT INTO pv_backend_menu(parent_id, name, route, icon, sort, display, namespace) VALUES('0', 'video_module', '', 'movie-play', '0', '1', 'video')");
$parent_id = $db->insert_id();
$db->update("
	INSERT INTO pv_backend_menu(parent_id, name, route, icon, sort, display, namespace) VALUES 
		('$parent_id', 'video_management', 'video\$video/index', '', '0', '1', 'video'),
		('$parent_id', 'category_management', 'video\$category/index', '', 0, 1, 'video'),
		('$parent_id', 'custom_field', 'video\$field/index', '', 0, 1, 'video'),
		('$parent_id', 'video_player', 'video\$player/index', NULL, 0, 1, 'video'),
		('$parent_id', 'slide_management', 'video\$slide/index', NULL, 0, 1, 'video'),
		('$parent_id', 'config', 'video\$config/index', NULL, 0, 1, 'video')	
");
$db->update("INSERT INTO pv_backend_menu(parent_id, name, route, icon, sort, display, namespace) VALUES('0', 'mars_transcoder', '', 'video-4k-box', 0, 1, 'video')");
$parent_id = $db->insert_id();
$db->update("
	INSERT INTO pv_backend_menu(parent_id, name, route, icon, sort, display, namespace) VALUES 
		('$parent_id', 'mars_server', 'video\$mars-server/index', NULL, 0, 1, 'video'),
		('$parent_id', 'mars_map', 'video\$mars-map/index', NULL, 0, 1, 'video'),
		('$parent_id', 'mars_tag', 'video\$mars_tag/index', NULL, 0, 1, 'video')
");

//导入配置项 pv_config
$db->update("
	INSERT INTO pv_config(type, name, value) VALUES 
		('video.image', 'format', 'jpeg,png,jpg,gif'),
		('video.image', 'max_size', '2'),
		('video.image', 'max_size_unit', 'mb'),
		('video.image', 'create_thumb', '0'),
		('video.image', 'width', '240'),
		('video.image', 'height', '360'),
		('video.image', 'create_watermark', '0'),
		('video.image', 'watermark_file', 'watermark.png'),
		('video.image', 'watermark_position', '9'),
		('video.upload', 'upload', 'server'),
		('video.upload', 'format', 'mp4'),
		('video.upload', 'max_size', '10'),
		('video.upload', 'max_size_unit', 'gb'),
		('video.upload', 'chunk_size', '2'),
		('video.upload', 'chunk_size_unit', 'mb'),
		('video.mars.tag', 'play', 'hls.hlsMultiRateAdapter'),
		('video.mars.tag', 'poster', 'image.poster'),
		('video.mars.tag', 'player_poster', 'image.player_poster'),
		('video.mars.tag', 'sprite', 'image.sprite'),
		('video.mars.tag', 'preview', 'clips.preview'),
		('video.mars.tag', 'clips', 'clips.clips'),
		('video.mars.tag', 'dynamic', 'image.gif'),
		('video.mars.tag', 'static', 'image.s1,image.s2,image.s3,image.s4,image.s5,image.s6,image.s7,image.s8,image.s9'),
		('video.config', 'module_title', '在线视频'),
		('video.config', 'module_meta_keyword', 'phpvod,module,video'),
		('video.config', 'module_meta_description', 'Video Module'),
		('video.cache', 'use_cache', '1')
");


//创建配置缓存目录
create_directory(WRITABLE_PATH . 'cache/config/video');

//创建上传目录
create_directory(WRITABLE_PATH . 'upload/video/video');
create_directory(WRITABLE_PATH . 'upload/video/poster');
create_directory(WRITABLE_PATH . 'upload/video/watermark');
create_directory(WRITABLE_PATH . 'upload/video/slide');

//copy poster
copy(__DIR__ . '/static/poster/default.jpg', WRITABLE_PATH . 'upload/video/poster/default.jpg');
//copy watermark
copy(__DIR__ . '/static/watermark/watermark.png', WRITABLE_PATH . 'upload/video/watermark/watermark.png');
//copy slide
copy(__DIR__ . '/static/slide/slide_1.jpg', WRITABLE_PATH . 'upload/video/slide/slide_1.jpg');
copy(__DIR__ . '/static/slide/slide_2.jpg', WRITABLE_PATH . 'upload/video/slide/slide_2.jpg');

//导入SQL
$db->import_file(__DIR__ . DIRECTORY_SEPARATOR . 'install.sql');

return true;