<?php \phpvod\asset\jquery_validation\jquery_validation::register(); ?>

<div class="search-full">
	<button type="button" class="search-close-btn"><i class="mdi mdi-window-close"></i></button>
	<div class="search-container">
		<div class="container">
			<div class="row justify-content-center">
				<div class="col-xl-6 col-lg-6 col-md-10 col-sm-10">
					<?= form_open(home_module_uri('search'), ['class' => 'search-form', 'method' => 'get']) ?>
					<input type="search" name="subject" placeholder="Search here...">
					<?= form_close() ?>
				</div>
			</div>
		</div>
	</div>
</div>

<?php $this->section('js'); ?>
<script type="text/javascript">
	//搜索按钮点击事件
	$(".search-btn").on("click", function () {
		$(".search-full").addClass("open")
	});
	//关闭按钮点击事件
	$(".search-close-btn").on("click", function () {
		$(".search-full").removeClass("open")
	});
	//验证
	$(".search-form").validate({
		rules: {
			subject: "required",
		},
		messages: {
			subject: "<?= lang('home.search_keyword_cannot_be_empty') ?>",
		},
		errorPlacement: function (error, element) {
			error.appendTo(element.parent());
		},
		onkeyup: false
	});
</script>
<?php $this->end_section(); ?>
