<?php
/**
 * @var \comment\event\handler $handler
 */
$handler = create_object(\comment\event\handler::class);
event()->on(\phpvod\controller\admin\member::EVENT_MEMBER_DELETE, [$handler, 'event_member_delete_handler']);
event()->on(\phpvod\model\module::EVENT_MODULE_UNINSTALL, [$handler, 'event_module_uninstall_handler']);
event()->on(\phpvod\event\event::EVENT_INSERT_FROM_MODULE, [$handler, 'event_insert_from_module_handler']);
event()->on(\phpvod\event\event::EVENT_UPDATE_FROM_MODULE, [$handler, 'event_update_from_module_handler']);
event()->on(\phpvod\event\event::EVENT_DELETE_FROM_MODULE, [$handler, 'event_delete_from_module_handler']);