<?php

namespace comment\config\validation;

use venus\validation\validator\general;

class get_child_comment implements \venus\validation\config
{
	private array $validator_class = [
		general::class
	];

	public function get_validator_class(): array
	{
		return $this->validator_class;
	}

	public function get_rules(?string $scene): array
	{
		return [
			'parent_id' => [
				'rules' => 'positive_integer',
			],
			'page_number' => [
				'rules' => 'positive_integer',
			],
			'items_per_page' => [
				'rules' => 'positive_integer',
			]
		];
	}
}