<?php
/**
 * @var \venus\view\view $this
 */
\phpvod\asset\admin\main::register();
?>
<!DOCTYPE html>
<html lang="<?= phpvod::$app->language->get_language() ?>">
<head>
	<base href="/">
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0, minimal-ui">
	<meta name="author" content="phpvod development team">
	<title><?= lang('admin.phpvod_backend_manage') ?></title>
	<?php phpvod::$app->event->trigger(\venus\view\event::EVENT_VIEW_HEAD); ?>
</head>
<body class="layout-body">
<?php phpvod::$app->event->trigger(\venus\view\event::EVENT_VIEW_BEGIN_BODY); ?>

<div class="container-fluid">
	<div class="row">
		<div class="col-sm-12">
			<?php $this->render_section('content'); ?>
		</div>
	</div>
</div>

<?php phpvod::$app->event->trigger(\venus\view\event::EVENT_VIEW_IMPORT_JS); ?>
<?php
if(session()->get_flash_data('update_backend_menu') === true) {
	echo '<script type="text/javascript">update_backend_menu();</script>';
}
echo \phpvod\widget\toastr::show();
$this->render_section('js');
?>
<?php phpvod::$app->event->trigger(\venus\view\event::EVENT_VIEW_END_BODY); ?>
</body>
</html>
