<?php

namespace phpvod\asset\admin;

use phpvod\asset\bootstrap\bootstrap;
use phpvod\asset\jquery\jquery;
use phpvod\asset\materialdesignicons\materialdesignicons;
use phpvod\asset\perfect_scrollbar\perfect_scrollbar;

class index extends \venus\asset\asset
{
	protected string $source_path = __DIR__ . DIRECTORY_SEPARATOR . 'index';

	protected string $asset_dirname = 'admin_index';

	protected array $js = [
		'js/index.js',
		'js/menu.js',
	];

	protected array $css = [
		'css/index.css'
	];

	protected array $depends = [
		materialdesignicons::class,
		bootstrap::class,
		jquery::class,
		perfect_scrollbar::class
	];
}