;$(document).ready(function () {

    // 侧边栏
    $(document).on('click', '.aside-toggle', function () {
        $('.layout-sidebar').toggleClass('aside-open');
        $("body").toggleClass('layout-sidebar-close');

        if ($(".mask-modal").length === 0) {
            $('<div class="mask-modal"></div>').prependTo('body');
        } else {
            $('.mask-modal').remove();
        }
    });

    // 遮罩层
    $(document).on('click', '.mask-modal', function () {
        $(this).remove();
        $('.layout-sidebar').toggleClass('aside-open');
        $('body').toggleClass('layout-sidebar-close');
    });

    // 侧边栏导航（has-subnav）
    $(document).on('click', '.has-subnav > a', function () {
        let has_subnav = $(this).parent();
        let subnav = has_subnav.find('.subnav').first();
        subnav.stop().slideToggle(100, function () {
            has_subnav.toggleClass('open');
        });
    });

    //滚动条
    if ($(".perfect-scrollbar")[0]) {
        $('.perfect-scrollbar').each(function () {
            new PerfectScrollbar(this, {
                swipeEasing: false,
                suppressScrollX: true
            });
        });
    }

});