<?php

namespace phpvod\asset\jquery_validation;

use phpvod\asset\jquery\jquery;
use venus\asset\asset;

class jquery_validation extends asset
{
	protected string $source_path = __DIR__ . DIRECTORY_SEPARATOR . 'src';

	protected string $asset_dirname = 'jquery_validation';

	protected array $js = [
		'jquery.validate.js',
		'localization/messages_{language}.js'
	];
	protected array $css = [
		'jquery.validate.css',
	];
	protected array $depends = [
		jquery::class
	];
}
