<?php

namespace phpvod\asset\language;

use venus\view\event;

class admin extends \venus\asset\asset
{
	protected string $source_path;
	protected string $asset_dirname;
	protected array $js = [
		'app.js',
		'admin.js',
	];
	protected array $js_options = [
		'event' => event::EVENT_VIEW_HEAD
	];

	protected function init(): void
	{
		$language = \phpvod::$app->language->get_language();
		$this->source_path = APP_PATH . 'language/' . $language . '/js';
		$this->asset_dirname = 'phpvod_' . $language;
		parent::init();
	}
}