<?php

namespace config\cache;

use phpvod\library\config\config;

class redis extends \venus\base\config
{
	public string $host = '127.0.0.1';
	public ?string $password = null;
	public int $port = 6379;
	public int $timeout = 0;
	public int $database = 0;

	public function __construct()
	{
		$redis_config = config::get_instance()->get('config_cache', 'redis_config');
		if (!is_blank($redis_config)) {
			$config = explode('/', trim($redis_config));
			isset($config[0]) && $this->host = trim($config[0]);
			isset($config[1]) && !is_blank($config[1]) && $this->password = trim($config[1]);
			isset($config[2]) && $this->port = trim($config[2]);
			isset($config[3]) && $this->timeout = trim($config[3]);
			isset($config[4]) && $this->database = trim($config[4]);
		}
	}
}