<?php

namespace config;

use venus\base\config;
use venus\format\json_formatter;
use venus\format\xml_formatter;

class format extends config
{
	/**
	 * @var array $formatters
	 * format：<pre>
	 * [
	 *      formatter_name => formatter_class,
	 *      formatter_name => [formatter_class, param1, param2, param3 ...]
	 * ]
	 * </pre>
	 */
	public array $formatters = [
		'json' => [json_formatter::class, JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES | JSON_PARTIAL_OUTPUT_ON_ERROR],
		'xml' => [xml_formatter::class, 0]
	];
}
