<?php
return [
	////////// backend //////////
	'phpvod_backend_manage' => 'PHPVOD 后台管理系统',
	'access_denied' => '无权限执行该操作',
	'config_format_error' => '配置文件格式错误',
	'zip_upload_failed' => '压缩包(zip)上传失败',
	'image_upload_failed' => '图片上传失败',
	'belong_module' => '所属模块',

	////////// update/download-package //////////
	'package_download_failed' => '更新包下载失败',

	////////// update/update-system //////////
	'package_not_exists' => '更新包不存在',
	'package_unzip_failed' => '更新包解压缩失败',
	'version_not_match' => '版本不匹配',
	'directory_is_not_writable' => '目录不存在或没有写权限',
	'phpvod_is_not_writable' => '文件(phpvod.php)没有写权限',
	'update_script_exec_failed' => '更新脚本({0})执行失败',
	'copy_directory_throw_exception' => '复制文件发生异常',
	'files_or_directories_copy_failed' => '{0}个文件或目录复制失败',
	'update_completed' => '更新完成',

	////////// main/index //////////
	'system_notice' => '系统公告',
	'system_information' => '系统信息',
	'program_version' => '程序版本',
	'authorization' => '系统授权',
	'server_software' => '服务器端信息',
	'php_version' => 'PHP版本',
	'db_version' => 'MySQL版本',
	'database_size' => '数据库占用',
	'system_time' => '服务器时间',
	'max_upload' => '最大上传限制',
	'max_ex_time' => '最大执行时间',
	'phpvod_official' => 'PHPVOD 官方',
	'official_website' => '官方网站',
	'technical_support' => '技术支持',
	//auth
	'auth_domain' => '授权域名',
	'auth_name' => '授权人名称',
	'contact' => '联系方式',
	'license_key' => '授权密钥',
	'tips_auth_domain' => '仅支持对当前访问域名进行授权',
	'tips_auth_name' => '填写个人名称或企业名称',
	'auth_succeeded' => '授权认证成功',
	'auth_failed' => '授权认证失败',
	'auth_domain_cannot_be_empty' => '授权域名不能为空',
	'auth_name_cannot_be_empty' => '授权人名称不能为空',
	'contact_cannot_be_empty' => '联系方式不能为空',
	'license_key_cannot_be_empty' => '授权密钥不能为空',
	'license_information' => '授权信息',
	'check_version' => '在线更新',

	////////// config/site //////////
	'site_settings' => '站点设置',
	'site_status' => '站点状态',
	'site_main_module' => '主模块',
	'site_main_module_tips' => '主模块可以通过域名根路径访问',
	'site_env' => '运行模式',
	'site_name' => '站点名称',
	'site_datetime_zone' => '时区',
	'site_meta_keyword' => 'Meta 关键词',
	'site_meta_description' => 'Meta 描述',
	'site_miit_number' => 'ICP备案号',
	'site_mps_number' => '公安备案号',
	'production_mode' => '生产模式',
	'development_mode' => '开发模式',

	////////// config/register //////////
	'register' => '会员注册',
	'allow_register' => '允许新会员注册',
	'register_check' => '后台审核注册会员',
	'verify_email_address' => '验证邮件地址',

	////////// config/template //////////
	'template_settings' => '模板设置',
	'phpvod_template' => '系统模板',

	////////// config/cache //////////
	'cache_settings' => '缓存设置',
	'cache_handler' => '缓存处理器',
	'redis_config' => 'Redis配置参数',
	'redis_tips' => '格式：主机地址/密码/端口号/超时时间/数据库索引号，使用默认配置请留空',
	'memcached_config' => 'Memcached配置参数',
	'memcached_tips' => '每行输入一个服务器配置，格式：主机地址/端口号/权重，使用默认配置请留空',
	'test_cache' => '测试缓存',
	'test_successfully' => '测试成功',
	'test_failed' => '测试失败',
	'clear_cache' => '清空缓存数据',
	'clear_successfully' => '缓存清除成功',
	'clear_failed' => '缓存清除失败',

	////////// config/background //////////
	'background' => '背景图片',
	'admin_login_background' => '后台登录页背景',

	////////// config/mail //////////
	'mail_settings' => '邮件设置',
	'mail_protocol' => '邮件发送协议',
	'mail_sendmail_path' => 'sendmail 路径',
	'mail_qmail_path' => 'qmail 路径',
	'mail_smtp_host' => 'smtp 服务器',
	'mail_smtp_port' => 'smtp 端口',
	'mail_smtp_secure' => 'smtp 加密类型',
	'mail_smtp_user' => '发件人地址',
	'mail_smtp_pass' => '发件人密码',
	'mail_smtp_name' => '发件人名称',
	'send_test_email' => '发送测试邮件',
	'test_email_subject' => '测试邮件',
	'recipient_email_address' => '收件人地址',
	'tips_sendmail_default_path' => '缺省路径：/usr/sbin/sendmail',
	'tips_qmail_default_path' => '缺省路径：/var/qmail/bin/qmail-inject',
	////////// admin-role //////////
	'admin_role' => '管理员角色',
	'role_cannot_deleted' => '角色不允许删除',
	'role_being_used' => '角色正在使用',
	'add_role' => '新增角色',
	'edit_role' => '编辑角色',
	'role_have_all_permissions' => '角色拥有全部权限',
	'role_name_cannot_be_empty' => '角色名不能为空',
	'role_name_already_exists' => '角色名已存在',

	////////// admin //////////
	'admin' => '管理员',
	'add_admin' => '新增管理员',
	'edit_admin' => '编辑管理员',
	'tips_password' => '如果不修改密码，请留空',

	////////// module //////////
	'module_management' => '模块管理',
	'module_path_is_not_writable' => '模块路径没有写权限',
	'module_unzip_failed' => '模块包解压缩失败',
	'module_conflict' => '模块配置与{0}存在冲突',
	'module_script_exec_failed' => '模块脚本({0})执行失败',
	'module_install_failed' => '模块安装失败',
	'module_install_success' => '模块安装成功',
	'module_not_exists' => '模块不存在',
	'main_module_cannot_uninstall' => '不能卸载主模块',
	'module_files_delete_failed' => '模块卸载成功，请手动删除模块目录：<br>{0}',
	'module_uninstall_success' => '模块卸载成功',
	'uninstall' => '卸载',
	'upgrade' => '升级',
	'config' => '设置',
	'add_module' => '新增模块',
	'module_zip_file' => '模块压缩包(zip)',
	'module_namespace_invalid' => '模块命名空间无效',
	'config_module' => '配置模块',
	'tips_domain' => '为模块绑定域名，域名需要解析至以下目录：<br>{0}',
	'domain_bound_other_module' => '域名已绑定其他模块',
	'module_cannot_bind_domain' => '模块不能绑定域名',
	'same_as_current_domain' => '域名不能与当前域名相同',

	////////// template //////////
	'template_management' => '模板管理',
	'template_directory' => '目录',
	'template_name' => '名称',
	'template_author' => '作者',
	'template_description' => '简介',
	'template_website' => '网址',
	'use_template' => '使用模板',
	'add_template' => '新增模板',
	'template_zip_file' => '模板压缩包(zip)',
	'template_exists' => '模板已存在',
	'template_path_is_not_writable' => '模板目录没有写权限',
	'template_unzip_failed' => '模板压缩包解压失败',
	'template_files_delete_failed' => '模板卸载失败，请手动删除以下目录：<br>{0}',
	'default_template_cannot_be_delete' => '默认模板不能删除',
	'template_in_use_cannot_be_delete' => '正在使用的模板不能删除',

	////////// language //////////
	'language_management' => '语言管理',
	'default_language' => '默认语言',
	'current_language' => '当前语言',
	'use_language' => '使用语言',
	'language_path_is_not_writable' => '语言目录没有写权限',
	'add_language' => '新增语言',
	'language_zip_file' => '语言压缩包(zip)',
	'language_exists' => '语言包已存在',
	'language_unzip_failed' => '语言包解压缩失败',
	'language_install_failed' => '语言安装失败',
	'language_files_delete_failed' => '操作完成，请手动删除以下目录：<br>{0}',
	'language_directory_invalid' => '无效的语言目录',
	'default_language_cannot_be_delete' => '默认语言不能删除',
	'current_language_cannot_be_delete' => '不能删除正在使用的语言',

	////////// member-group //////////
	'member_group' => '会员组',
	'add_member_group' => '新增会员组',
	'edit_member_group' => '编辑会员组',
	'member_group_name_cannot_be_empty' => '会员组名称不能为空',
	'member_group_name_already_exists' => '会员组名称已存在',
	'no_permissions_to_set' => '没有可以设置的权限',
	'member_group_cannot_deleted' => '会员组不允许删除',
	'member_group_being_used' => '一个或多个会员所属该组，无法删除',
	'message_group_id_1' => '未登录访客属于该会员组，该会员组不允许删除。',
	'message_group_id_2' => '待审核会员属于该会员组，该会员组不允许删除。',
	'message_group_id_3' => '已审核会员属于该会员组，该会员组不允许删除。',
	'days' => '天',
	'tips_days' => '时长设置为0时表示不限时',

	////////// member /////////
	'member' => '会员',
	'add_member' => '新增会员',
	'edit_member' => '编辑会员',
	'tips_expiry' => '留空永不过期',
	'tips_change_to' => '更改后的会员组永不过期',
	'invalid_group_expiry' => '无效的过期时间',
	'pass' => '通过审核',
	'invalid_balance' => '无效的余额',

	////////// transaction-history /////////
	'transaction_history' => '交易记录',
];
