<?php

/**
 * Class phpvod
 */
class phpvod extends venus
{
	public const VERSION = '4.0';
	public const BASE_GATEWAY = 'https://service.phpvod.com';
	public const GET_NOTICE_GATEWAY = self::BASE_GATEWAY . '/phpvod/get-notice';
	public const AUTH_GATEWAY = self::BASE_GATEWAY . '/phpvod/auth';
	public const CHECK_VERSION_GATEWAY = self::BASE_GATEWAY . '/phpvod/check-version';
	public const DOWNLOAD_PACKAGE_GATEWAY = self::BASE_GATEWAY . '/phpvod/download-package';
	public static string $backend_segment = 'admin';
	public static string $api_segment = 'api';

	public static function copyright(): string
	{
		return 'Copyright &copy; 2009-' . date('Y') . ' <a target="_blank" href="https://www.phpvod.com">phpvod</a> All rights reserved.';
	}
}