<?php
/**
 * @var string $active
 */
?>

<ul class="nav nav-tabs">
	<li>
		<button type="button" class="nav-link<?= $active == 'site' ? ' active' : '' ?>" onclick="window.location='<?= admin_uri('config/site') ?>'"
		        data-bs-toggle="tab"
		        data-bs-target="#site"><?= lang('admin.site_settings') ?></button>
	</li>
	<li>
		<button type="button" class="nav-link<?= $active == 'register' ? ' active' : '' ?>" onclick="window.location='<?= admin_uri('config/register') ?>'"
		        data-bs-toggle="tab"
		        data-bs-target="#register"><?= lang('admin.register') ?></button>
	</li>
	<li>
		<button type="button" class="nav-link<?= $active == 'template' ? ' active' : '' ?>" onclick="window.location='<?= admin_uri('config/template') ?>'"
		        data-bs-toggle="tab"
		        data-bs-target="#template"><?= lang('admin.template_settings') ?></button>
	</li>
	<li>
		<button type="button" class="nav-link<?= $active == 'cache' ? ' active' : '' ?>" onclick="window.location='<?= admin_uri('config/cache') ?>'"
		        data-bs-toggle="tab"
		        data-bs-target="#cache"><?= lang('admin.cache_settings') ?></button>
	</li>
	<li>
		<button type="button" class="nav-link<?= $active == 'background' ? ' active' : '' ?>" onclick="window.location='<?= admin_uri('config/background') ?>'"
		        data-bs-toggle="tab"
		        data-bs-target="#background"><?= lang('admin.background') ?></button>
	</li>
</ul>
