<?php
/**
 * @var \venus\view\view $this
 * @var string $message
 * @var array $btn
 */
$this->extend('home/layout');
?>

<?php $this->section('content'); ?>

	<div class="container-md pt-5 pb-5">
		<div class="row">
			<div class="col">
				<div class="card">
					<div class="card-header"><?= lang('app.message') ?></div>
					<div class="card-body text-center">
						<p class="card-text p-2"><?= $message ?></p>
						<?php foreach ($btn as $value): ?>
							<?php if ($value === \phpvod\base\frontend_controller::SHOW_MESSAGE_GO_HOME_BTN): ?>
								<a href="javascript:window.location.href='/'" class="btn btn-primary"><?= lang('home.go_home') ?></a>
							<?php elseif ($value == \phpvod\base\frontend_controller::SHOW_MESSAGE_GO_BACK_BTN): ?>
								<a href="<?= previous_url() ?>" class="btn btn-primary"><?= lang('home.go_back') ?></a>
							<?php endif; ?>
						<?php endforeach; ?>
					</div>
				</div>
			</div>
		</div>
	</div>

<?php $this->end_section(); ?>