<?php

namespace phpvod\view\install;

use phpvod\asset\jquery\jquery;
use venus\asset\asset;

class jquery_validation extends asset
{
	protected string $source_path = APP_PATH . 'asset/jquery_validation/src';

	protected string $asset_dirname = 'jquery_validation';

	protected array $js = [
		'jquery.validate.js',
		'localization/messages_zh.js'
	];
	protected array $css = [
		'jquery.validate.css',
	];
	protected array $depends = [
		jquery::class
	];
}
