<?php

namespace venus\cache\depend;

use venus\cache\handler;

abstract class base_depend
{
	private mixed $data = null;

	public function evaluate_depend(handler $handler): void
	{
		$this->data = $this->generate_depend_data($handler);
	}

	public function is_changed(handler $handler): bool
	{
		$data = $this->generate_depend_data($handler);
		return $data !== $this->data;
	}

	abstract protected function generate_depend_data(handler $handler): mixed;
}