<?php

namespace venus\cache\depend;

use venus\cache\handler;

class cache_depend extends base_depend
{
	private string $key;

	/**
	 * 构造函数
	 * @param string $key
	 */
	public function __construct(string $key)
	{
		$this->key = $key;
	}

	protected function generate_depend_data(handler $handler): mixed
	{
		return $handler->get($this->key);
	}
}