<?php

namespace venus\cache\depend;

use venus\cache\handler;

class file_depend extends base_depend
{
	private string $filename;

	/**
	 * 构造函数
	 * @param string $filename
	 */
	public function __construct(string $filename)
	{
		$this->filename = $filename;
	}

	protected function generate_depend_data(handler $handler): false|int
	{
		clearstatcache(false, $this->filename);
		return @filemtime($this->filename);
	}
}