<?php
namespace venus\validation;

interface config {
	/**
	 * 返回要使用的验证器类
	 * Returns the validator class to be used
	 * @return array
	 */
	public function get_validator_class(): array;

	/**
	 * 返回验证规则
	 * Return validation rules
	 * @param ?string $scene 场景
	 * @return array
	 */
	public function get_rules(?string $scene): array;
}