<?php

namespace video\controller\admin;

use phpvod\base\backend_controller;

class mars_tag extends backend_controller
{
	private \phpvod\model\config $model;
	protected array $helper = ['form'];

	public function init(): void
	{
		parent::init();
		/** @noinspection PhpFieldAssignmentTypeMismatchInspection */
		$this->model = model(\phpvod\model\config::class);
	}

	public function index(): string
	{
		if ($this->request->is_post()) {
			$config = $this->request->post('config');
			$this->model->update_config($config, 'video.mars.tag');
			\video\library\config::get_instance()->update('mars_tag');
			$this->module_redirect('mars_tag/index', true, true);
		}
		$pane = old('pane', 'video');
		$config = $this->model->get_config('video.mars.tag');
		return $this->view('mars_tag/index', ['config' => $config, 'pane' => $pane]);
	}
}