<?php

namespace video\extension\player\videojs;

class videojs extends \video\extension\player\player
{
	protected array $preview = [];

	public function show(): void
	{
		asset\videojs::register();
		include __DIR__ . '/view/videojs.php';
	}

	public function get_url(): string
	{
		$url = $this->url;
		while (is_array($url)) {
			$url = array_shift($url);
		}
		return $url;
	}

	public function get_preview(): string
	{
		return formatter($this->preview);
	}

	public function set_preview(string|array $preview): static
	{
		$this->preview = is_string($preview) ? [$preview] : $preview;
		return $this;
	}
}