<?php
return [
	//video
	'video_management' => '视频管理',
	'add_video' => '新增视频',
	'edit_video' => '编辑视频',
	'player' => '播放器',
	'group_name' => '分组名称',
	'free_video' => '免费视频',
	'member_video' => '会员视频(VIP)',
	'paid_video' => '收费视频',

	//category
	'category_management' => '栏目管理',
	'tip_category_template' => '使用默认模板请留空',
	'tip_category_sort' => '取值范围：0-999，降序排列',
	'category_name_cannot_be_empty' => '栏目名称不能为空',
	'category_name_already_exists' => '栏目名称已存在',
	'add_category' => '新增栏目',
	'edit_category' => '编辑栏目',
	'category_is_not_empty' => '请清空或转移该栏目下的所有视频，再执行该操作',

	//field
	'custom_field' => '自定义字段',
	'add_field' => '新增字段',
	'edit_field' => '编辑字段',
	'input_text' => '单行文本',
	'form_textarea' => '多行文本',
	'input_textlist' => '文本列表',
	'input_radio' => '单选框',
	'input_checkbox' => '复选框',
	'form_select' => '列表框',
	'belong_to' => '所属栏目',
	'label' => '标签',
	'value' => '值',
	'sort' => '排序',
	'field_label_cannot_be_empty' => '标签名不能为空',
	'field_label_already_exists' => '标签名已存在',
	'field_cannot_be_empty' => '字段名不能为空',
	'field_cannot_be_id' => '字段名不能为id',
	'field_name_invalid' => '字段名只能包含字母、数字、下划线且必须以字母或下划线开头',
	'field_already_exists' => '字段名已存在',
	'field_type_cannot_be_empty' => '字段类型不能为空',
	'input_type_cannot_be_empty' => '表单类型不能为空',
	'items_value_invalid' => '列表项值不允许包含逗号',
	'items_label_cannot_be_empty' => '列表项标签不能为空',
	'items_sort_invalid' => '列表项排序只允许为数字',
	'item_already_in_use' => '列表项已在使用，无法删除',
	'tips_field' => 'mysql关键字或保留字不能作为字段名',
	'tips_sort' => '升序，只允许填写数字或留空',

	//player
	'player_management' => '播放器管理',
	'add_player' => '新增播放器',
	'player_zip_file' => '播放器压缩包(zip)',
	'player_exists' => '播放器已存在',
	'invalid_module_directory' => '无效的模块目录',
	'player_path_not_exists' => '播放器目录不存在',
	'player_path_not_writable' => '播放器目录没有写权限',
	'player_unzip_failed' => '播放器包解压缩失败',
	'player_install_failed' => '播放器安装失败',
	'player_files_delete_failed' => '播放器卸载成功，请手动删除播放器目录：<br>{0}',

	//slide
	'slide_management' => '幻灯管理',
	'add_slide' => '新增幻灯',
	'edit_slide' => '编辑幻灯',
	'tip_slide_sort' => '取值范围：0-999，降序排列',

	//config
	'settings' => '设置',

	//config(config)
	'config_settings' => '基本设置',
	'config_title' => '标题',
	'config_meta_keyword' => 'Meta 关键词',
	'config_meta_description' => 'Meta 描述',

	//config(image)
	'image_settings' => '图片设置',
	'image_format' => '允许上传的图片格式',
	'image_format_cannot_be_empty' => '允许上传的图片格式不能为空',
	'image_max_size' => '图片尺寸上限',
	'image_max_size_can_only_be_number' => '图片尺寸上限必须为数字且大于0',
	'image_create_thumb' => '生成缩略图',
	'image_width' => '图片宽度',
	'image_width_can_only_be_number' => '图片宽度必须为数字且大于0',
	'image_height' => '图片高度',
	'image_height_can_only_be_number' => '图片高度必须为数字且大于0',
	'image_create_watermark' => '添加水印',
	'image_watermark_file' => '水印文件',
	'image_watermark_position' => '水印位置',
	'top_left' => '上左',
	'top_center' => '上中',
	'top_right' => '上右',
	'middle_left' => '中左',
	'middle_center' => '中中',
	'middle_right' => '中右',
	'bottom_left' => '下左',
	'bottom_center' => '下中',
	'bottom_right' => '下右',

	//config(upload)
	'video_settings' => '视频设置',
	'video_upload' => '视频上传',
	'off' => '关闭',
	'server' => '上传至服务器',
	'mars_transcoder' => '上传至视频转码系统',
	'video_format' => '允许上传的视频格式',
	'video_format_cannot_be_empty' => '允许上传的视频格式不能为空',
	'video_max_size' => '视频尺寸上限',
	'video_max_size_can_only_be_number' => '视频尺寸上限必须为数字且大于0',
	'video_chunk_size' => '上传分块尺寸',
	'video_chunk_size_can_only_be_number' => '上传分块尺寸必须为数字且大于0',

	//config(cache)
	'cache_settings' => '缓存设置',
	'caching_video_data' => '缓存视频数据',

	//mars_server
	'mars_server' => '转码服务器',
	'add_mars_server' => '新增服务器',
	'edit_mars_server' => '编辑服务器',
	'test_conn' => '测试连接',
	'c2s' => '服务器连接',
	's2c' => '测试通知地址',
	'test_return_false' => '连接失败',
	'test_return_null' => '取消测试',
	'test_success' => '成功',
	'test_fail' => '失败',
	'invalid_secret_key' => '密钥不匹配',
	'randomly_generate_key' => '随机生成密钥',
	'verify_upload_url' => '验证上传地址',
	'server_name_cannot_be_empty' => '服务器名称不能为空',
	'server_name_already_exists' => '服务器名称已存在',
	'server_ip_cannot_be_empty' => '服务器IP不能为空',
	'invalid_server_ip' => '无效的服务器IP',
	'server_port_cannot_be_empty' => '端口不能为空',
	'invalid_server_port' => '无效的端口号',
	'server_secret_key_cannot_be_empty' => '通信密钥不能为空',
	'server_upload_url_cannot_be_empty' => '上传地址不能为空',
	'server_upload_url_is_valid' => '上传地址有效',
	'invalid_server_upload_url' => '无效的上传地址',
	'invalid_notify_url' => '无效的通知地址',
	'invalid_server_weight' => '无效的权重值',
	'tips_secret_key' => '通信密钥必须与转码系统通信密钥保持一致',
	'tips_notify_url' => '转码完成后，转码系统会向该地址发送通知',
	'tips_weight' => '权重值为0时，不参与负载均衡',

	//mars_map
	'mars_map' => '域名映射',
	'add_mars_map' => '新增域名映射',
	'edit_mars_map' => '编辑域名映射',
	'server_not_found' => '未找到转码服务器',
	'map_domain_cannot_be_empty' => '域名不能为空',
	'map_domain_already_exists' => '域名已存在',
	'map_server_cannot_be_empty' => '没有选择转码服务器',
	'invalid_server_id' => '无效的服务器ID',

	//mars_tag
	'mars_tag' => '标签设置',
	'video_tab_pane' => '视频',
	'play_tag' => '播放标签',
	'preview_tag' => '预览标签',
	'clips_tag' => '片段标签',
	'image_tab_pane' => '图片',
	'poster_tag' => '海报标签',
	'player_poster_tag' => '播放器图片标签',
	'sprite_tag' => '雪碧图标签',
	'dynamic_tag' => '动态图标签',
	'static_tag' => '静态图标签',
	'tips_tag' => '支持设置多个标签，标签之间请用半角逗号分开',
];