<?php

namespace video\model;

class delay_task extends \phpvod\base\model
{
	protected string $table = 'pv_video_delay_task';
	protected ?string $primary_key = 'id';
	protected array $allowed_fields = ['action', 'params', 'result', 'status', 'last_at'];

	/**
	 * 添加任务
	 * @param string $action
	 * @param string $params
	 * @return bool
	 */
	public function add(string $action, string $params): bool
	{
		$count = $this->select('count(id)')->where(['action' => $action, 'params' => $params])->query()->fetch_column();
		return $count > 0 || (bool)$this->insert(['action' => $action, 'params' => $params]);
	}
}