<?php
namespace video\tag;

/**
 * @method static category category()
 * @method static slide slide()
 * @method static field field()
 * @method static video video()
 * @method static video_list video_list()
 * @method static video_details video_details()
 */
class tag
{
	private static array $instance = [];

	public static function __callStatic(string $name, array $arguments = []): ?object
	{
		if (!array_key_exists($name, self::$instance)) {
			$class = 'video\\tag\\' . $name;
			if (!class_exists($class)) {
				return null;
			}
			self::$instance[$name] = new $class();
		}
		return self::$instance[$name];
	}
}