<?php

namespace video\tag;

use video\extension\player\player;
use video\library\config;

class video
{
	public function poster(?string $poster): string
	{
		return empty($poster) ? 'upload/video/poster/default.jpg' : $poster;
	}

	public function get_player(string $player_name): ?player
	{
		if (is_blank($player_name))
			return null;

		$config = config::get_instance()->get('player', $player_name);
		if (is_array($config) && !empty($config['class']) && class_exists($config['class'])) {
			return new $config['class'];
		}

		return null;
	}
}