<?php
/**
 * @var boolean $active
 */
?>
<ul class="nav nav-tabs">
	<li class="nav-item">
		<button type="button" class="nav-link<?= $active == 'config' ? ' active' : '' ?>" onclick="window.location='<?= admin_module_uri('config/config') ?>'"
		        data-bs-toggle="tab"
		        data-bs-target="#config-tab-pane"><?= lang('admin.config_settings') ?></button>
	</li>
	<li class="nav-item">
		<button type="button" class="nav-link<?= $active == 'upload' ? ' active' : '' ?>" onclick="window.location='<?= admin_module_uri('config/upload') ?>'"
		        data-bs-toggle="tab"
		        data-bs-target="#upload-tab-pane"><?= lang('admin.video_settings') ?></button>
	</li>
	<li class="nav-item">
		<button type="button" class="nav-link<?= $active == 'image' ? ' active' : '' ?>" onclick="window.location='<?= admin_module_uri('config/image') ?>'"
		        data-bs-toggle="tab"
		        data-bs-target="#image-tab-pane"><?= lang('admin.image_settings') ?></button>
	</li>
	<li class="nav-item">
		<button type="button" class="nav-link<?= $active == 'cache' ? ' active' : '' ?>" onclick="window.location='<?= admin_module_uri('config/cache') ?>'"
		        data-bs-toggle="tab"
		        data-bs-target="#cache-tab-pane"><?= lang('admin.cache_settings') ?></button>
	</li>
</ul>