$(document).ready(function () {
	//bootstrap tooltip
	const tooltipTriggerList = document.querySelectorAll('[data-bs-toggle="tooltip"]');
	const tooltipList = [...tooltipTriggerList].map(tooltipTriggerEl => new bootstrap.Tooltip(tooltipTriggerEl, {
		container: 'body'
	}));

	//preview
	const poster_preview_container = $(".video-section .video-item .poster-preview-container");
	poster_preview_container.mouseover(function () {
		let data_preview = $(this).attr('data-preview');
		if (data_preview !== undefined && $(this).find(".preview").length === 0) {
			$(this).append('<div class="preview">' +
				'<video class="w-100 h-100 bg-black" src="' + data_preview + '" autoplay muted loop></video>' +
				'</div>');
			$(this).find('.poster').css("opacity", "0.0");
		}
	});
	poster_preview_container.mouseout(function () {
		$(this).find('.poster').css("opacity", "1.0");
		$(this).find('.preview').remove();
	});
});